@ECHO OFF
SETLOCAL
BREAK OFF
TITLE DAIMONUI3 Setup
COLOR 0A

:MainMenu
CALL scripts\getRESO.cmd
CLS
    ECHO.&ECHO.
    ECHO  DaimonUI3 Setup 
    ECHO.
    ECHO     Welcome to DaimonUI for
    ECHO     The Lord of the Rings Online Setup
    ECHO    ----------------------------
    ECHO     Please select a funtion:
    ECHO.
    ECHO        [R] Change Resolution
    ECHO        [C] Customize
    ECHO        [H] Help
    ECHO        [X] Exit
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='r' GOTO RES
    IF '%OPTION%'=='R' GOTO RES
    IF '%OPTION%'=='c' GOTO CUSTOM
    IF '%OPTION%'=='C' GOTO CUSTOM
    IF '%OPTION%'=='h' GOTO HELP
    IF '%OPTION%'=='H' GOTO HELP
    IF '%OPTION%'=='x' GOTO END
    IF '%OPTION%'=='X' GOTO END
    IF '%OPTION%'=='*' GOTO RESET
GOTO MainMenu

:RES
CALL scripts\defaults.cmd
GOTO MainMenu

:CUSTOM
CLS
    ECHO CUSTOMIZE
    ECHO.&ECHO.
    ECHO Please select the skin you want to customize:
    ECHO.
    ECHO        [1] DaimonUI
    ECHO        [2] DaimonUIMini
    ECHO        ---------------
    ECHO        [B] Back
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO CUSTOM1
    IF '%OPTION%'=='2' GOTO CUSTOM2
    IF '%OPTION%'=='b' GOTO CUSTOM3
    IF '%OPTION%'=='B' GOTO CUSTOM3
GOTO CUSTOM
        :CUSTOM1
            CALL scripts\custom.cmd
            GOTO MainMenu
        :CUSTOM2
            CALL scripts\customMini.cmd
            GOTO MainMenu
        :CUSTOM3
            GOTO MainMenu

:HELP
    CALL scripts\help.cmd
    GOTO MainMenu

:RESET
    CLS
    ECHO.
    ECHO WARNING!WARNING!WARNING!WARNING!WARNING
    ECHO.
    ECHO !! YOU'RE ABOUT TO RESET THE FILES !!
    ECHO.&ECHO.
    ECHO Press CTRL+C to Abort or
    PAUSE
    CLS
    CALL scripts\defaults.cmd uni
    CALL scripts\defaults.cmd 1280
    CALL scripts\defaults.cmd 1440
    CALL scripts\defaults.cmd 1600
    CALL scripts\defaults.cmd 1920
    CALL scripts\defaults.cmd 1680
    IF EXIST ..\Deco\mail_big.tga (
        REN ..\Deco\mail.tga mail_small.tga
        REN ..\Deco\mail_big.tga mail.tga
        GOTO ResetEnd
        ) ELSE (
            GOTO ResetEnd
            )
    :ResetEnd
    CLS
    ECHO.
    ECHO FILES GENERATED!
    PAUSE
    GOTO MainMenu

:END
ENDLOCAL