@ECHO OFF

:STEP1
CLS
    ECHO CUSTOMIZE1/9
    ECHO.
    ECHO  dmnMinimap 
    ECHO.
    ECHO Do you want to use DaimonUI Minimap ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    ECHO [X] Skip to End
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='x' GOTO EndBuilder
    IF '%OPTION%'=='X' GOTO EndBuilder
    IF '%OPTION%'=='y' GOTO STEP1b
    IF '%OPTION%'=='n' GOTO STEP2
    GOTO STEP1
        :STEP1b
            TYPE addons\dmnui_minimap.xml >> SkinDefinition.tmp
            GOTO STEP2

:STEP2
CLS
    ECHO CUSTOMIZE2/9
    ECHO.
    ECHO  rushlInventory 
    ECHO.
    ECHO Do you want to use borderless Back-Packs ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    ECHO [X] Skip to End
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='x' GOTO EndBuilder
    IF '%OPTION%'=='X' GOTO EndBuilder
    IF '%OPTION%'=='y' GOTO STEP2b
    IF '%OPTION%'=='n' GOTO STEP3
    GOTO STEP2
        :STEP2b
            TYPE addons\rushl_minipacks.xml >> SkinDefinition.tmp
            GOTO STEP3
:STEP3
CLS
    ECHO CUSTOMIZE3/9
    ECHO.
    ECHO  dmnDressingRoom 
    ECHO.
    ECHO Do you want to use DaimonUI Dressing Room ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    ECHO [X] Skip to End
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='x' GOTO EndBuilder
    IF '%OPTION%'=='X' GOTO EndBuilder
    IF '%OPTION%'=='y' GOTO STEP3b
    IF '%OPTION%'=='n' GOTO STEP4
    GOTO STEP3
        :STEP3b
            TYPE addons\dmnui_dressroom.xml >> SkinDefinition.tmp
            GOTO STEP4
:STEP4
CLS
    ECHO CUSTOMIZE4/9
    ECHO.
    ECHO  dmnCraftingPanel 
    ECHO.
    ECHO Do you want to use DaimonUI Crafting Panel ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    ECHO [X] Skip to End
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='x' GOTO EndBuilder
    IF '%OPTION%'=='X' GOTO EndBuilder
    IF '%OPTION%'=='y' GOTO STEP4b
    IF '%OPTION%'=='n' GOTO STEP5
    GOTO STEP4
        :STEP4b
            TYPE addons\dmnui_craftpanel.xml >> SkinDefinition.tmp
            GOTO STEP5
:STEP5
CLS
    ECHO CUSTOMIZE5/9
    ECHO.
    ECHO  mirarQuestLog 
    ECHO.
    ECHO Do you want to enlarged Questbook ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    ECHO [X] Skip to End
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='x' GOTO EndBuilder
    IF '%OPTION%'=='X' GOTO EndBuilder
    IF '%OPTION%'=='y' GOTO STEP5b
    IF '%OPTION%'=='n' GOTO STEP6
    GOTO STEP5
        :STEP5b
            TYPE addons\mirar_questlog.xml >> SkinDefinition.tmp
            GOTO STEP6
:STEP6
CLS
    ECHO CUSTOMIZE6/9
    ECHO.
    ECHO  mirarVendorPanel 
    ECHO.
    ECHO Do you want to use enlarged Vendor Panels ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    ECHO [X] Skip to End
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='x' GOTO EndBuilder
    IF '%OPTION%'=='X' GOTO EndBuilder
    IF '%OPTION%'=='y' GOTO STEP6b
    IF '%OPTION%'=='n' GOTO STEP7
    GOTO STEP6
        :STEP6b
            TYPE addons\mirar_vendorpanel.xml >> SkinDefinition.tmp
            GOTO STEP7
:STEP7
CLS
    ECHO CUSTOMIZE7/9
    ECHO.
    ECHO  mirarMailbox 
    ECHO.
    ECHO Do you want to use enlarged Mailbox ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    ECHO [X] Skip to End
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='x' GOTO EndBuilder
    IF '%OPTION%'=='X' GOTO EndBuilder
    IF '%OPTION%'=='y' GOTO STEP7b
    IF '%OPTION%'=='n' GOTO STEP7a
    GOTO STEP7
        :STEP7a
            IF EXIST ..\Deco\mail_small.tga (
                REN ..\Deco\mail.tga mail_big.tga
                REN ..\Deco\mail_small.tga mail.tga
                GOTO STEP8
            ) ELSE (
                GOTO STEP8
            )
        :STEP7b
            IF EXIST ..\Deco\mail_big.tga (
                REN ..\Deco\mail.tga mail_small.tga
                REN ..\Deco\mail_big.tga mail.tga
                TYPE addons\mirar_mailbox.xml >> SkinDefinition.tmp
                GOTO STEP8
            ) ELSE (
                TYPE addons\mirar_mailbox.xml >> SkinDefinition.tmp
                GOTO STEP8
            )

:STEP8
CLS
    ECHO CUSTOMIZE8/9
    ECHO.
    ECHO  dmnAttunementMeter 
    ECHO.
    ECHO Do you want to use DaimonUI Attunement Meter ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    ECHO [X] Skip to End
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='x' GOTO EndBuilder
    IF '%OPTION%'=='X' GOTO EndBuilder
    IF '%OPTION%'=='y' GOTO STEP8b
    IF '%OPTION%'=='n' GOTO STEP9
    GOTO STEP8
        :STEP8b
            TYPE addons\dmnui_rune.xml >> SkinDefinition.tmp
            GOTO STEP9

:STEP9
CLS
    ECHO CUSTOMIZE9/9
    ECHO.
    ECHO  dmnGambitDisplay 
    ECHO.
    ECHO Do you want to use DaimonUI Gambit Display ?
    ECHO [y/n]
    ECHO.&ECHO.&ECHO.
    ECHO [X] Skip to End
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='x' GOTO EndBuilder
    IF '%OPTION%'=='X' GOTO EndBuilder
    IF '%OPTION%'=='y' GOTO STEP9b
    IF '%OPTION%'=='n' GOTO EndBuilder
    GOTO STEP9
        :STEP9b
            TYPE addons\dmnui_gambit.xml >> SkinDefinition.tmp
            GOTO EndBuilder

:EndBuilder